// Beispiel Button

import javax.swing.* ;
import java.awt.*;
import java.awt.event.*;

public class ButtonTest extends JFrame {
   private ButtonListener listener ;
   private JButton b;
   
   public ButtonTest() {
      super("ButtonTest");
      setSize(300, 200);
      setLayout(new FlowLayout());
      Container cp = getContentPane();

      b = new JButton("TestButton");
      
      // ButtonListener instanziieren und registrieren
      listener = new ButtonListener() ;
      b.addActionListener(listener) ;
      cp.add(b);
   
      setVisible(true);

      // WindowListener instanziieren und registrieren
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );
   }

   public static void main(String[] args) {
      ButtonTest tester = new ButtonTest();
   }
}